# Contributing to DIM

Thank you for you interest to contribute to the DIM project. This document
will explain some of the things you need to keep in mind when contributing to
ease the workflow of this.

## Filing an Issue or Bug

When filing an issue or bug report, make the title of the issue a very short
summary (e.g. "Allow setting IPblock status"). In the
content of the issue, be as detailed as possible. Supply at least the following
information:

* Steps to reproduce: How can we reproduce the issue
* Expected behavior: what did you expect what would happen?
* Observed behavior: what actually happened when following the steps?

If you have already looked deeper into the problem, provide what you found as
well.

## Filing a Pull Request

Code contributions are sent as a pull request on GitHub. By submitting a
Pull Request you agree to your code becoming MIT licensed.

## Pull Request Guidelines

A pull request, at the least, should have:

* A clear and concise title (not e.g. 'Issue #1234')
* A description of the patch (what issue does it solve or what
feature does it add)
* Documentation for the feature or when current behavior changes

And must:

* Be filed against the master branch
* Be a branch with a meaningful name in the forked repository
* have one or more testcases in dim-testsuite/t

Information on testsuite can be found in the repository at
[/dim-testsuite/README.md](https://github.com/ionos-cloud/dim/blob/master/dim-testsuite/README.md)
